Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Class RowNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.bridge.bmp.BMPException
                              |
                              +--com.beasys.commerce.bridge.bmp.RowNotFoundException

public class RowNotFoundException
extends BMPException

This exception it thrown when the persistence handling code can not retrieve a bean instance's state from the database.

See Also:
  Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`RowNotFoundException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] argument)` Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowNotFoundException

    public RowNotFoundException(java.lang.String namespace,
                                java.lang.String messageKey,
                                java.lang.Object[] argument)

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved